@import "@/styles/variables";

.select-container {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    font-family: var(--font-barlow) !important;
    font-weight: 500;

    &__dropdown {
        div:first-child {
            width: 100%;
            z-index: 50;
        }
    }

    button {
        width: 100%;
    }

    &__selected {
        display: flex;
        gap: 0.5rem;
        line-height: 120%;
        font-weight: 500;
        padding: 18px 0 10px;
        color: $gray-700;
        border-bottom: 1px solid $gray-300;

        button {
            width: min-content;
            background: none;
            border: none;
            cursor: pointer;
        }
    }

    &__list {
        background-color: $white;
        border: 1px solid $gray-300;
        border-radius: $border-radius;
        padding: 1rem;
        box-shadow: 0 4px 6px rgb(0 0 0 / 10%);
        max-height: 300px;
        overflow-y: auto;
        width: 100%;

        @include scrollbar-thin;
    }

    &__options {
        display: flex;
        flex-direction: column;
        cursor: pointer;
        font-size: 14px;
        color: $gray-800;
        font-weight: 500;

        li {
            padding: 0.5rem;
            display: flex;

            &:hover {
                background-color: $tertiary-color-hover;
                border-radius: 10px;
            }

            span {
                font-size: 1rem;
                line-height: 125%;
            }
        }
    }

    .bla {
        color: $gray-500;
    }

    .dropdown-button {
        @include input-1;

        height: 58px;
        color: $gray-900;
        gap: 0.75rem;
        justify-content: flex-start;
        padding-top: 1.75rem;
        padding-left: 3.5rem;
        align-items: center;
        width: 100%;

        &:active,
        &:focus,
        &:focus-visible {
            color: $gray-800;
            background-color: $white;
        }

        span:nth-child(2) {
            max-width: 80%;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        &__error {
            border: 1px solid $color-error;
        }

        span:first-child {
            width: 1.5rem;
            aspect-ratio: 1;
            position: absolute;
            top: 1.25rem;
            left: 18px;
        }

        span:last-child {
            position: absolute;
            right: 1rem;
            top: 1.75rem;
            transform: translateY(-50%);
            color: $gray-600;
        }
    }

    .select-dropdown-label {
        position: absolute;
        top: 0.5rem;
        left: 3.6rem;
        color: $gray-600;
        transition: all 0.05s ease-in-out;

        @include label-1;
    }
}
